<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<?fileVersion 4.0.0?><cproject storage_type_id="org.eclipse.cdt.core.XmlProjectDescriptionStorage">
	<storageModule moduleId="org.eclipse.cdt.core.settings">
		<cconfiguration id="arm.toolchain.gcc.target.exe.debug.1445351876">
			<storageModule buildSystemId="org.eclipse.cdt.managedbuilder.core.configurationDataProvider" id="arm.toolchain.gcc.target.exe.debug.1445351876" moduleId="org.eclipse.cdt.core.settings" name="Debug">
				<externalSettings/>
				<extensions>
					<extension id="org.eclipse.cdt.core.ELF" point="org.eclipse.cdt.core.BinaryParser"/>
					<extension id="org.eclipse.cdt.core.GASErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="org.eclipse.cdt.core.GmakeErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="org.eclipse.cdt.core.GLDErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="com.analog.crosscore.core.CCESARMErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="org.eclipse.cdt.core.CWDLocator" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="org.eclipse.cdt.core.GCCErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
				</extensions>
			</storageModule>
			<storageModule moduleId="cdtBuildSystem" version="4.0.0">
				<configuration artifactName="${ProjName}" buildArtefactType="org.eclipse.cdt.build.core.buildArtefactType.exe" buildProperties="org.eclipse.cdt.build.core.buildArtefactType=org.eclipse.cdt.build.core.buildArtefactType.exe,org.eclipse.cdt.build.core.buildType=org.eclipse.cdt.build.core.buildType.debug" cleanCommand="clean" description="" errorParsers="com.analog.crosscore.core.CCESARMErrorParser" id="arm.toolchain.gcc.target.exe.debug.1445351876" name="Debug" parent="arm.toolchain.gcc.target.exe.debug">
					<folderInfo id="arm.toolchain.gcc.target.exe.debug.1445351876." name="/" resourcePath="">
						<toolChain id="arm.gcc.toolchain.exe.debug.1000213540" name="CrossCore GCC ARM Embedded Toolchain" superClass="arm.gcc.toolchain" targetTool="arm.toolchain.gcc.c.linker">
							<targetPlatform archList="all" binaryParser="org.eclipse.cdt.core.ELF" id="arm.toolchain.platform.base.472730801" name="Development Platform" osList="all" superClass="arm.toolchain.platform.base"/>
							<builder buildPath="${workspace_loc:/freertos_spi_loopback}/Debug" id="arm.toolchain.builder.base.1945730344" keepEnvironmentInBuildfile="false" name="Gnu Make Builder" superClass="arm.toolchain.builder.base"/>
							<tool id="arm.toolchain.gcc.assembler.1677604781" name="CrossCore GCC ARM Embedded Assembler" superClass="arm.toolchain.gcc.assembler">
								<option id="arm.assembler.option.debuginfo.1477170171" name="Generate debug information (-g)" superClass="arm.assembler.option.debuginfo"/>
								<option id="arm.toolchain.gcc.assembler.option.mcpu.704384713" name="-mcpu" superClass="arm.toolchain.gcc.assembler.option.mcpu" value="cortex-m4" valueType="string"/>
								<option id="arm.base.assembler.option.proc.468758884" name="-mproc" superClass="arm.base.assembler.option.proc" value=" ADuCM4050" valueType="string"/>
								<option id="arm.assembler.option.sirevision.1697548242" name="-msi-revision" superClass="arm.assembler.option.sirevision" value=" any" valueType="string"/>
								<option id="arm.assembler.option.preprocessdefs.43982455" name="Preprocessor definitions (-D):" superClass="arm.assembler.option.preprocessdefs" valueType="definedSymbols">
									<listOptionValue builtIn="false" value="CORE0"/>
									<listOptionValue builtIn="false" value="_DEBUG"/>
									<listOptionValue builtIn="false" value="_RTE_"/>
									<listOptionValue builtIn="false" value="__ADUCM4050__"/>
									<listOptionValue builtIn="false" value="__SILICON_REVISION__=0xffff"/>
								</option>
								<option id="arm.assembler.option.additionaldirectories.1322895458" name="Additional include directories (-I):" superClass="arm.assembler.option.additionaldirectories" valueType="includePath">
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/system}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/FreeRTOS/Source/include}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/FreeRTOS/Source/portable/GCC/ARM_CM4F}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${cmsis_pack_root}/ARM/CMSIS/4.5.0/CMSIS/Include&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${cmsis_pack_root}/AnalogDevices/ADuCM4x50_DFP/1.0.0/Include&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}}/RTE&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}}/RTE/Device/ADuCM4050&quot;"/>
								</option>
								<inputType id="arm.toolchain.assembler.base.input.1331189241" superClass="arm.toolchain.assembler.base.input"/>
							</tool>
							<tool id="arm.toolchain.gcc.c.compiler.332907053" name="CrossCore GCC ARM Embedded C Compiler" superClass="arm.toolchain.gcc.c.compiler">
								<option defaultValue="false" id="arm.base.compiler.option.optimization.enable.406097387" name="Enable optimization" superClass="arm.base.compiler.option.optimization.enable" valueType="boolean"/>
								<option defaultValue="arm.base.compiler.option.optimization.og" id="arm.base.compiler.option.optimization.102863773" name="Optimization level" superClass="arm.base.compiler.option.optimization" valueType="enumerated"/>
								<option defaultValue="true" id="arm.base.compiler.option.debug.558687752" name="Generate debug information (-g)" superClass="arm.base.compiler.option.debug" valueType="boolean"/>
								<option id="arm.toolchain.gcc.c.compiler.option.mcpu.1047066140" name="-mcpu" superClass="arm.toolchain.gcc.c.compiler.option.mcpu" value="cortex-m4" valueType="string"/>
								<option id="arm.base.compiler.option.proc.1215654961" name="-mproc" superClass="arm.base.compiler.option.proc" value=" ADuCM4050" valueType="string"/>
								<option id="arm.base.compiler.option.sirevision.1080663369" name="-msi-revision" superClass="arm.base.compiler.option.sirevision" value=" any" valueType="string"/>
								<option id="arm.base.compiler.option.preprocessdefs.662500195" name="Preprocessor definitions (-D):" superClass="arm.base.compiler.option.preprocessdefs" valueType="definedSymbols">
									<listOptionValue builtIn="false" value="CORE0"/>
									<listOptionValue builtIn="false" value="_DEBUG"/>
									<listOptionValue builtIn="false" value="_RTE_"/>
									<listOptionValue builtIn="false" value="__ADUCM4050__"/>
									<listOptionValue builtIn="false" value="__SILICON_REVISION__=0xffff"/>
								</option>
								<option id="arm.toolchain.cpp.compiler.option.coreid.127692051" name="Specify the core Id (-DCORE[A|B|0-2])" superClass="arm.toolchain.cpp.compiler.option.coreid" value="0" valueType="string"/>
								<option id="arm.base.compiler.option.include.paths.628826698" name="Additional include directories (-I):" superClass="arm.base.compiler.option.include.paths" valueType="includePath">
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/inc}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/inc/config}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/system}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/FreeRTOS/Source/include}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/FreeRTOS/Source/portable/GCC/ARM_CM4F}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${cmsis_pack_root}/ARM/CMSIS/4.5.0/CMSIS/Include&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${cmsis_pack_root}/AnalogDevices/ADuCM4x50_DFP/1.0.0/Include&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}}/RTE&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}}/RTE/Device/ADuCM4050&quot;"/>
								</option>
								<option id="arm.base.compiler.option.additionaloptions.447975992" name="Additional options:" superClass="arm.base.compiler.option.additionaloptions" valueType="stringList">
									<listOptionValue builtIn="false" value="-mfpu=fpv4-sp-d16"/>
									<listOptionValue builtIn="false" value="-mfloat-abi=softfp"/>
								</option>
								<inputType id="arm.toolchain.gcc.c.input.150061913" superClass="arm.toolchain.gcc.c.input"/>
							</tool>
							<tool id="arm.toolchain.gcc.c.linker.1618281774" name="CrossCore GCC ARM Embedded C Linker" superClass="arm.toolchain.gcc.c.linker">
								<option id="arm.toolchain.gcc.c.linker.option.mcpu.2123709403" name="-mcpu" superClass="arm.toolchain.gcc.c.linker.option.mcpu" value="cortex-m4" valueType="string"/>
								<option id="arm.linker.option.proc.1876191301" name="-mproc" superClass="arm.linker.option.proc" value=" ADuCM4050" valueType="string"/>
								<option id="arm.linker.option.sirevision.1533891239" name="-msi-revision" superClass="arm.linker.option.sirevision" value=" any" valueType="string"/>
								<option id="arm.linker.option.ldprocessing.ldfile.762076165" name="Custom linker script (-T)" superClass="arm.linker.option.ldprocessing.ldfile" value="${workspace_loc:/${ProjName}}/RTE/Device/ADuCM4050/ADuCM4050.ld" valueType="string"/>
								<inputType id="arm.linker.input.495106438" superClass="arm.linker.input">
									<additionalInput kind="additionalinputdependency" paths="$(USER_OBJS)"/>
								</inputType>
							</tool>
							<tool id="arm.toolchain.gcc.cpp.compiler.542463470" name="CrossCore GCC ARM Embedded C++ Compiler" superClass="arm.toolchain.gcc.cpp.compiler">
								<option defaultValue="false" id="arm.base.compiler.option.optimization.enable.180060794" name="Enable optimization" superClass="arm.base.compiler.option.optimization.enable" valueType="boolean"/>
								<option defaultValue="arm.base.compiler.option.optimization.og" id="arm.base.compiler.option.optimization.1173901282" name="Optimization level" superClass="arm.base.compiler.option.optimization" valueType="enumerated"/>
								<option defaultValue="true" id="arm.base.compiler.option.debug.1748362124" name="Generate debug information (-g)" superClass="arm.base.compiler.option.debug" valueType="boolean"/>
								<option id="arm.toolchain.gcc.cpp.compiler.option.mcpu.776456056" name="-mcpu" superClass="arm.toolchain.gcc.cpp.compiler.option.mcpu" value="cortex-m4" valueType="string"/>
								<option id="arm.base.compiler.option.proc.5099" name="-mproc" superClass="arm.base.compiler.option.proc" value=" ADuCM4050" valueType="string"/>
								<option id="arm.base.compiler.option.sirevision.1275718839" name="-msi-revision" superClass="arm.base.compiler.option.sirevision" value=" any" valueType="string"/>
								<option id="arm.base.compiler.option.preprocessdefs.1285955603" name="Preprocessor definitions (-D):" superClass="arm.base.compiler.option.preprocessdefs" valueType="definedSymbols">
									<listOptionValue builtIn="false" value="CORE0"/>
									<listOptionValue builtIn="false" value="_RTE_"/>
									<listOptionValue builtIn="false" value="__ADUCM4050__"/>
									<listOptionValue builtIn="false" value="__SILICON_REVISION__=0xffff"/>
								</option>
								<option id="arm.toolchain.cpp.compiler.option.coreid.1856980523" name="Specify the core Id (-DCORE[A|B|0-2])" superClass="arm.toolchain.cpp.compiler.option.coreid" value="0" valueType="string"/>
								<option id="arm.base.compiler.option.include.paths.539712052" name="Additional include directories (-I):" superClass="arm.base.compiler.option.include.paths" valueType="includePath">
									<listOptionValue builtIn="false" value="&quot;${cmsis_pack_root}/ARM/CMSIS/4.5.0/CMSIS/Include&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${cmsis_pack_root}/AnalogDevices/ADuCM4x50_DFP/1.0.0/Include&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}}/RTE&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}}/RTE/Device/ADuCM4050&quot;"/>
								</option>
							</tool>
							<tool id="arm.toolchain.gcc.cpp.linker.813766283" name="CrossCore GCC ARM Embedded C++ Linker" superClass="arm.toolchain.gcc.cpp.linker">
								<option id="arm.toolchain.gcc.cpp.linker.option.mcpu.1125632633" name="-mcpu" superClass="arm.toolchain.gcc.cpp.linker.option.mcpu" value="cortex-m4" valueType="string"/>
								<option id="arm.linker.option.proc.249198094" name="-mproc" superClass="arm.linker.option.proc" value=" ADuCM4050" valueType="string"/>
								<option id="arm.linker.option.sirevision.298550975" name="-msi-revision" superClass="arm.linker.option.sirevision" value=" any" valueType="string"/>
								<option id="arm.linker.option.ldprocessing.ldfile.445746160" name="Custom linker script (-T)" superClass="arm.linker.option.ldprocessing.ldfile" value="${workspace_loc:/${ProjName}}/RTE/Device/ADuCM4050/ADuCM4050.ld" valueType="string"/>
							</tool>
							<tool id="arm.toolchain.gcc.archiver.563460864" name="CrossCore GCC ARM Embedded Archiver" superClass="arm.toolchain.gcc.archiver"/>
							<tool id="arm.loader.1206931927" name="ARM Loader Base" superClass="arm.loader">
								<option id="arm.loader.option.proc.182520481" name="-proc" superClass="arm.loader.option.proc" value=" ADuCM4050" valueType="string"/>
								<option id="arm.loader.option.sirevision.1424660138" name="-si-revision" superClass="arm.loader.option.sirevision" value=" any" valueType="string"/>
							</tool>
						</toolChain>
					</folderInfo>
					<folderInfo id="arm.toolchain.gcc.target.exe.debug.1445351876.system" name="system" resourcePath="system">
						<toolChain id="arm.gcc.toolchain.1057094707" name="CrossCore GCC ARM Embedded Toolchain" superClass="arm.gcc.toolchain" unusedChildren="">
							<targetPlatform archList="all" binaryParser="org.eclipse.cdt.core.ELF" id="arm.toolchain.platform.base" name="Development Platform" osList="all" superClass="arm.toolchain.platform.base"/>
							<tool id="arm.toolchain.gcc.assembler.1646782640" name="CrossCore GCC ARM Embedded Assembler" superClass="arm.toolchain.gcc.assembler.1677604781">
								<inputType id="arm.toolchain.assembler.base.input.546052658" superClass="arm.toolchain.assembler.base.input"/>
							</tool>
							<tool id="arm.toolchain.gcc.c.compiler.797655201" name="CrossCore GCC ARM Embedded C Compiler" superClass="arm.toolchain.gcc.c.compiler.332907053">
								<inputType id="arm.toolchain.gcc.c.input.2041531660" superClass="arm.toolchain.gcc.c.input"/>
							</tool>
							<tool id="arm.toolchain.gcc.c.linker.1124910408" name="CrossCore GCC ARM Embedded C Linker" superClass="arm.toolchain.gcc.c.linker.1618281774"/>
							<tool id="arm.toolchain.gcc.cpp.compiler.2047828525" name="CrossCore GCC ARM Embedded C++ Compiler" superClass="arm.toolchain.gcc.cpp.compiler.542463470"/>
							<tool id="arm.toolchain.gcc.cpp.linker.1227375291" name="CrossCore GCC ARM Embedded C++ Linker" superClass="arm.toolchain.gcc.cpp.linker.813766283"/>
							<tool id="arm.toolchain.gcc.archiver.1107602471" name="CrossCore GCC ARM Embedded Archiver" superClass="arm.toolchain.gcc.archiver.563460864"/>
							<tool id="arm.loader.2087284906" name="ARM Loader Base" superClass="arm.loader.1206931927"/>
						</toolChain>
					</folderInfo>
					<sourceEntries>
						<entry excluding="FreeRTOS/Demo|FreeRTOSxxx|FreeRTOS/Source/portable/WizC|FreeRTOS/Source/portable/Tasking|FreeRTOS/Source/portable/Softune|FreeRTOS/Source/portable/SDCC|FreeRTOS/Source/portable/RVDS|FreeRTOS/Source/portable/Rowley|FreeRTOS/Source/portable/Renesas|FreeRTOS/Source/portable/Paradigm|FreeRTOS/Source/portable/oWatcom|FreeRTOS/Source/portable/MSVC-MingW|FreeRTOS/Source/portable/MPLAB|FreeRTOS/Source/portable/MikroC|FreeRTOS/Source/portable/MemMang|FreeRTOS/Source/portable/Keil|FreeRTOS/Source/portable/IAR|FreeRTOS/Source/portable/GCC|FreeRTOS/Source/portable/Common|FreeRTOS/Source/portable/CodeWarrior|FreeRTOS/Source/portable/CCS|FreeRTOS/Source/portable/BCC|system|src" flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name=""/>
						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="FreeRTOS/Source/portable/GCC/ARM_CM4F"/>
						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="src"/>
						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="system"/>
					</sourceEntries>
				</configuration>
			</storageModule>
			<storageModule moduleId="org.eclipse.cdt.core.externalSettings"/>
		</cconfiguration>
		<cconfiguration id="arm.toolchain.gcc.target.exe.release.1826300978">
			<storageModule buildSystemId="org.eclipse.cdt.managedbuilder.core.configurationDataProvider" id="arm.toolchain.gcc.target.exe.release.1826300978" moduleId="org.eclipse.cdt.core.settings" name="Release">
				<externalSettings/>
				<extensions>
					<extension id="org.eclipse.cdt.core.ELF" point="org.eclipse.cdt.core.BinaryParser"/>
					<extension id="org.eclipse.cdt.core.GASErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="org.eclipse.cdt.core.GmakeErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="org.eclipse.cdt.core.GLDErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="com.analog.crosscore.core.CCESARMErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="org.eclipse.cdt.core.CWDLocator" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="org.eclipse.cdt.core.GCCErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
				</extensions>
			</storageModule>
			<storageModule moduleId="cdtBuildSystem" version="4.0.0">
				<configuration artifactName="${ProjName}" buildArtefactType="org.eclipse.cdt.build.core.buildArtefactType.exe" buildProperties="org.eclipse.cdt.build.core.buildArtefactType=org.eclipse.cdt.build.core.buildArtefactType.exe,org.eclipse.cdt.build.core.buildType=org.eclipse.cdt.build.core.buildType.release" cleanCommand="clean" description="" errorParsers="com.analog.crosscore.core.CCESARMErrorParser" id="arm.toolchain.gcc.target.exe.release.1826300978" name="Release" parent="arm.toolchain.gcc.target.exe.release">
					<folderInfo id="arm.toolchain.gcc.target.exe.release.1826300978." name="/" resourcePath="">
						<toolChain id="arm.gcc.toolchain.exe.release.1370281999" name="CrossCore GCC ARM Embedded Toolchain" superClass="arm.gcc.toolchain" targetTool="arm.toolchain.gcc.c.linker">
							<targetPlatform archList="all" binaryParser="org.eclipse.cdt.core.ELF" id="arm.toolchain.platform.base.1153486154" name="Development Platform" osList="all" superClass="arm.toolchain.platform.base"/>
							<builder buildPath="${workspace_loc:/freertos_spi_loopback}/Release" id="arm.toolchain.builder.base.1731554150" keepEnvironmentInBuildfile="false" name="Gnu Make Builder" superClass="arm.toolchain.builder.base"/>
							<tool id="arm.toolchain.gcc.assembler.396160708" name="CrossCore GCC ARM Embedded Assembler" superClass="arm.toolchain.gcc.assembler">
								<option id="arm.assembler.option.debuginfo.1990558693" name="Generate debug information (-g)" superClass="arm.assembler.option.debuginfo" value="false" valueType="boolean"/>
								<option id="arm.toolchain.gcc.assembler.option.mcpu.1670153875" name="-mcpu" superClass="arm.toolchain.gcc.assembler.option.mcpu" value="cortex-m4" valueType="string"/>
								<option id="arm.base.assembler.option.proc.852038970" name="-mproc" superClass="arm.base.assembler.option.proc" value=" ADuCM4050" valueType="string"/>
								<option id="arm.assembler.option.sirevision.1133173031" name="-msi-revision" superClass="arm.assembler.option.sirevision" value=" any" valueType="string"/>
								<option id="arm.assembler.option.preprocessdefs.72235096" name="Preprocessor definitions (-D):" superClass="arm.assembler.option.preprocessdefs" valueType="definedSymbols">
									<listOptionValue builtIn="false" value="CORE0"/>
									<listOptionValue builtIn="false" value="NDEBUG"/>
									<listOptionValue builtIn="false" value="_RTE_"/>
									<listOptionValue builtIn="false" value="__ADUCM4050__"/>
									<listOptionValue builtIn="false" value="__SILICON_REVISION__=0xffff"/>
								</option>
								<option id="arm.assembler.option.additionaldirectories.1286807001" name="Additional include directories (-I):" superClass="arm.assembler.option.additionaldirectories" valueType="includePath">
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/system}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${cmsis_pack_root}/ARM/CMSIS/4.5.0/CMSIS/Include&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${cmsis_pack_root}/AnalogDevices/ADuCM4x50_DFP/1.0.0/Include&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}}/RTE&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}}/RTE/Device/ADuCM4050&quot;"/>
								</option>
								<inputType id="arm.toolchain.assembler.base.input.407254040" superClass="arm.toolchain.assembler.base.input"/>
							</tool>
							<tool id="arm.toolchain.gcc.c.compiler.1215115888" name="CrossCore GCC ARM Embedded C Compiler" superClass="arm.toolchain.gcc.c.compiler">
								<option defaultValue="true" id="arm.base.compiler.option.optimization.enable.723101949" name="Enable optimization" superClass="arm.base.compiler.option.optimization.enable" valueType="boolean"/>
								<option defaultValue="arm.base.compiler.option.optimization.o2" id="arm.base.compiler.option.optimization.1320339791" name="Optimization level" superClass="arm.base.compiler.option.optimization" valueType="enumerated"/>
								<option defaultValue="false" id="arm.base.compiler.option.debug.1340075812" name="Generate debug information (-g)" superClass="arm.base.compiler.option.debug" valueType="boolean"/>
								<option id="arm.toolchain.gcc.c.compiler.option.mcpu.1142175601" name="-mcpu" superClass="arm.toolchain.gcc.c.compiler.option.mcpu" value="cortex-m4" valueType="string"/>
								<option id="arm.base.compiler.option.proc.917896082" name="-mproc" superClass="arm.base.compiler.option.proc" value=" ADuCM4050" valueType="string"/>
								<option id="arm.base.compiler.option.sirevision.251253252" name="-msi-revision" superClass="arm.base.compiler.option.sirevision" value=" any" valueType="string"/>
								<option id="arm.base.compiler.option.preprocessdefs.1529923240" name="Preprocessor definitions (-D):" superClass="arm.base.compiler.option.preprocessdefs" valueType="definedSymbols">
									<listOptionValue builtIn="false" value="CORE0"/>
									<listOptionValue builtIn="false" value="NDEBUG"/>
									<listOptionValue builtIn="false" value="_RTE_"/>
									<listOptionValue builtIn="false" value="__ADUCM4050__"/>
									<listOptionValue builtIn="false" value="__SILICON_REVISION__=0xffff"/>
								</option>
								<option id="arm.toolchain.cpp.compiler.option.coreid.1153727198" name="Specify the core Id (-DCORE[A|B|0-2])" superClass="arm.toolchain.cpp.compiler.option.coreid" value="0" valueType="string"/>
								<option id="arm.base.compiler.option.include.paths.1626981348" name="Additional include directories (-I):" superClass="arm.base.compiler.option.include.paths" valueType="includePath">
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/inc}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/inc/config}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/system}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/FreeRTOS/Source/include}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/FreeRTOS/Source/portable/GCC/ARM_CM4F}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${cmsis_pack_root}/ARM/CMSIS/4.5.0/CMSIS/Include&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${cmsis_pack_root}/AnalogDevices/ADuCM4x50_DFP/1.0.0/Include&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}}/RTE&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}}/RTE/Device/ADuCM4050&quot;"/>
								</option>
								<option id="arm.base.compiler.option.additionaloptions.898290150" name="Additional options:" superClass="arm.base.compiler.option.additionaloptions" valueType="stringList">
									<listOptionValue builtIn="false" value="-mfpu=fpv4-sp-d16"/>
									<listOptionValue builtIn="false" value=" -mfloat-abi=softfp"/>
								</option>
								<inputType id="arm.toolchain.gcc.c.input.1103981118" superClass="arm.toolchain.gcc.c.input"/>
							</tool>
							<tool id="arm.toolchain.gcc.c.linker.886271833" name="CrossCore GCC ARM Embedded C Linker" superClass="arm.toolchain.gcc.c.linker">
								<option id="arm.toolchain.gcc.c.linker.option.mcpu.551215678" name="-mcpu" superClass="arm.toolchain.gcc.c.linker.option.mcpu" value="cortex-m4" valueType="string"/>
								<option id="arm.linker.option.proc.1554062990" name="-mproc" superClass="arm.linker.option.proc" value=" ADuCM4050" valueType="string"/>
								<option id="arm.linker.option.sirevision.498945200" name="-msi-revision" superClass="arm.linker.option.sirevision" value=" any" valueType="string"/>
								<option id="arm.linker.option.ldprocessing.ldfile.815794967" name="Custom linker script (-T)" superClass="arm.linker.option.ldprocessing.ldfile" value="${workspace_loc:/${ProjName}}/RTE/Device/ADuCM4050/ADuCM4050.ld" valueType="string"/>
								<inputType id="arm.linker.input.1946377564" superClass="arm.linker.input">
									<additionalInput kind="additionalinputdependency" paths="$(USER_OBJS)"/>
								</inputType>
							</tool>
							<tool id="arm.toolchain.gcc.cpp.compiler.1298372397" name="CrossCore GCC ARM Embedded C++ Compiler" superClass="arm.toolchain.gcc.cpp.compiler">
								<option defaultValue="true" id="arm.base.compiler.option.optimization.enable.338345031" name="Enable optimization" superClass="arm.base.compiler.option.optimization.enable" valueType="boolean"/>
								<option defaultValue="arm.base.compiler.option.optimization.o2" id="arm.base.compiler.option.optimization.1739854015" name="Optimization level" superClass="arm.base.compiler.option.optimization" valueType="enumerated"/>
								<option defaultValue="false" id="arm.base.compiler.option.debug.778121067" name="Generate debug information (-g)" superClass="arm.base.compiler.option.debug" valueType="boolean"/>
								<option id="arm.toolchain.gcc.cpp.compiler.option.mcpu.1998668778" name="-mcpu" superClass="arm.toolchain.gcc.cpp.compiler.option.mcpu" value="cortex-m4" valueType="string"/>
								<option id="arm.base.compiler.option.proc.1413829155" name="-mproc" superClass="arm.base.compiler.option.proc" value=" ADuCM4050" valueType="string"/>
								<option id="arm.base.compiler.option.sirevision.2048079134" name="-msi-revision" superClass="arm.base.compiler.option.sirevision" value=" any" valueType="string"/>
								<option id="arm.base.compiler.option.preprocessdefs.1349096821" name="Preprocessor definitions (-D):" superClass="arm.base.compiler.option.preprocessdefs" valueType="definedSymbols">
									<listOptionValue builtIn="false" value="CORE0"/>
									<listOptionValue builtIn="false" value="_RTE_"/>
									<listOptionValue builtIn="false" value="__ADUCM4050__"/>
									<listOptionValue builtIn="false" value="__SILICON_REVISION__=0xffff"/>
								</option>
								<option id="arm.toolchain.cpp.compiler.option.coreid.1616228287" name="Specify the core Id (-DCORE[A|B|0-2])" superClass="arm.toolchain.cpp.compiler.option.coreid" value="0" valueType="string"/>
								<option id="arm.base.compiler.option.include.paths.133395198" name="Additional include directories (-I):" superClass="arm.base.compiler.option.include.paths" valueType="includePath">
									<listOptionValue builtIn="false" value="&quot;${cmsis_pack_root}/ARM/CMSIS/4.5.0/CMSIS/Include&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${cmsis_pack_root}/AnalogDevices/ADuCM4x50_DFP/1.0.0/Include&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}}/RTE&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}}/RTE/Device/ADuCM4050&quot;"/>
								</option>
							</tool>
							<tool id="arm.toolchain.gcc.cpp.linker.892223493" name="CrossCore GCC ARM Embedded C++ Linker" superClass="arm.toolchain.gcc.cpp.linker">
								<option id="arm.toolchain.gcc.cpp.linker.option.mcpu.4102565" name="-mcpu" superClass="arm.toolchain.gcc.cpp.linker.option.mcpu" value="cortex-m4" valueType="string"/>
								<option id="arm.linker.option.proc.1614795781" name="-mproc" superClass="arm.linker.option.proc" value=" ADuCM4050" valueType="string"/>
								<option id="arm.linker.option.sirevision.293968285" name="-msi-revision" superClass="arm.linker.option.sirevision" value=" any" valueType="string"/>
								<option id="arm.linker.option.ldprocessing.ldfile.255039531" name="Custom linker script (-T)" superClass="arm.linker.option.ldprocessing.ldfile" value="${workspace_loc:/${ProjName}}/RTE/Device/ADuCM4050/ADuCM4050.ld" valueType="string"/>
							</tool>
							<tool id="arm.toolchain.gcc.archiver.1092858098" name="CrossCore GCC ARM Embedded Archiver" superClass="arm.toolchain.gcc.archiver"/>
							<tool id="arm.loader.2035901780" name="ARM Loader Base" superClass="arm.loader">
								<option id="arm.loader.option.proc.1827810487" name="-proc" superClass="arm.loader.option.proc" value=" ADuCM4050" valueType="string"/>
								<option id="arm.loader.option.sirevision.507761624" name="-si-revision" superClass="arm.loader.option.sirevision" value=" any" valueType="string"/>
							</tool>
						</toolChain>
					</folderInfo>
					<folderInfo id="arm.toolchain.gcc.target.exe.release.1826300978.system" name="system" resourcePath="system">
						<toolChain id="arm.gcc.toolchain.2042315613" name="CrossCore GCC ARM Embedded Toolchain" superClass="arm.gcc.toolchain" unusedChildren="">
							<targetPlatform archList="all" binaryParser="org.eclipse.cdt.core.ELF" id="arm.toolchain.platform.base" name="Development Platform" osList="all" superClass="arm.toolchain.platform.base"/>
							<tool id="arm.toolchain.gcc.assembler.815546068" name="CrossCore GCC ARM Embedded Assembler" superClass="arm.toolchain.gcc.assembler.396160708">
								<inputType id="arm.toolchain.assembler.base.input.1037051226" superClass="arm.toolchain.assembler.base.input"/>
							</tool>
							<tool id="arm.toolchain.gcc.c.compiler.1458026539" name="CrossCore GCC ARM Embedded C Compiler" superClass="arm.toolchain.gcc.c.compiler.1215115888">
								<inputType id="arm.toolchain.gcc.c.input.1840823187" superClass="arm.toolchain.gcc.c.input"/>
							</tool>
							<tool id="arm.toolchain.gcc.c.linker.284406711" name="CrossCore GCC ARM Embedded C Linker" superClass="arm.toolchain.gcc.c.linker.886271833"/>
							<tool id="arm.toolchain.gcc.cpp.compiler.1724590499" name="CrossCore GCC ARM Embedded C++ Compiler" superClass="arm.toolchain.gcc.cpp.compiler.1298372397"/>
							<tool id="arm.toolchain.gcc.cpp.linker.326043952" name="CrossCore GCC ARM Embedded C++ Linker" superClass="arm.toolchain.gcc.cpp.linker.892223493"/>
							<tool id="arm.toolchain.gcc.archiver.1688534546" name="CrossCore GCC ARM Embedded Archiver" superClass="arm.toolchain.gcc.archiver.1092858098"/>
							<tool id="arm.loader.489681379" name="ARM Loader Base" superClass="arm.loader.2035901780"/>
						</toolChain>
					</folderInfo>
					<sourceEntries>
						<entry excluding="FreeRTOS/Demo|FreeRTOSxxx|FreeRTOS/Source/portable/WizC|FreeRTOS/Source/portable/Tasking|FreeRTOS/Source/portable/Softune|FreeRTOS/Source/portable/SDCC|FreeRTOS/Source/portable/RVDS|FreeRTOS/Source/portable/Rowley|FreeRTOS/Source/portable/Renesas|FreeRTOS/Source/portable/Paradigm|FreeRTOS/Source/portable/oWatcom|FreeRTOS/Source/portable/MSVC-MingW|FreeRTOS/Source/portable/MPLAB|FreeRTOS/Source/portable/MikroC|FreeRTOS/Source/portable/MemMang|FreeRTOS/Source/portable/Keil|FreeRTOS/Source/portable/IAR|FreeRTOS/Source/portable/GCC|FreeRTOS/Source/portable/Common|FreeRTOS/Source/portable/CodeWarrior|FreeRTOS/Source/portable/CCS|FreeRTOS/Source/portable/BCC|system|src" flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name=""/>
						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="FreeRTOS/Source/portable/GCC/ARM_CM4F"/>
						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="src"/>
						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="system"/>
					</sourceEntries>
				</configuration>
			</storageModule>
			<storageModule moduleId="org.eclipse.cdt.core.externalSettings"/>
		</cconfiguration>
	</storageModule>
	<storageModule moduleId="cdtBuildSystem" version="4.0.0">
		<project id="freertos_spi_loopback.arm.toolchain.gcc.target.exe.520194245" name="GCC ARM Embedded Executable Project" projectType="arm.toolchain.gcc.target.exe"/>
	</storageModule>
	<storageModule moduleId="org.eclipse.cdt.core.LanguageSettingsProviders"/>
	<storageModule moduleId="org.eclipse.cdt.core.language.mapping">
		<project-mappings>
			<content-type-mapping configuration="" content-type="org.eclipse.cdt.core.asmSource" language="com.analog.crosscore.ui.asm.adi.extension"/>
			<content-type-mapping configuration="" content-type="org.eclipse.cdt.core.cHeader" language="org.eclipse.cdt.core.c.adi.extension"/>
			<content-type-mapping configuration="" content-type="org.eclipse.cdt.core.cSource" language="org.eclipse.cdt.core.c.adi.extension"/>
			<content-type-mapping configuration="" content-type="org.eclipse.cdt.core.cxxHeader" language="org.eclipse.cdt.core.c++.adi.extension"/>
			<content-type-mapping configuration="" content-type="org.eclipse.cdt.core.cxxSource" language="org.eclipse.cdt.core.c++.adi.extension"/>
		</project-mappings>
	</storageModule>
	<storageModule moduleId="com.arm.cmsis.project">
		<rteConfig name="system.rteconfig"/>
		<toolChainAdapter id="com.analog.crosscore.cmsis.pack.build.gcc.toolChainAdapter" name="CrossCore GCC ARM Embedded Toolchain Adapter"/>
		<device Dclock="52000000" Dcore="Cortex-M4" DcoreVersion="r0p1" Dendian="Little-endian" Dfamily="ADuCM4x50 Series" Dfpu="SP_FPU" Dmpu="MPU" Dname="ADuCM4050" Dvendor="Analog Devices:1" Pname=""/>
		<files>
			<file name="RTE/Device/ADuCM4050/system_ADuCM4050.c" version="1.0.0"/>
			<file name="RTE/Device/ADuCM4050/adi_wdt_config.h" version="1.0.0"/>
			<file name="RTE/Device/ADuCM4050/adi_cycle_counting_config.h" version="1.0.0"/>
			<file name="RTE/Device/ADuCM4050/startup_ADuCM4050.c" version="1.0.0"/>
			<file name="RTE/Device/ADuCM4050/adi_spi_config.h" version="1.0.0"/>
			<file name="RTE/Device/ADuCM4050/ADuCM4050.ld" version="1.0.0"/>
			<file name="RTE/Device/ADuCM4050/adi_global_config.h" version="1.0.0"/>
			<file name="RTE/Device/ADuCM4050/adi_pwr_config.h" version="1.0.0"/>
		</files>
	</storageModule>
	<storageModule moduleId="refreshScope"/>
	<storageModule moduleId="scannerConfiguration">
		<autodiscovery enabled="true" problemReportingEnabled="true" selectedProfileId=""/>
		<scannerConfigBuildInfo instanceId="arm.toolchain.gcc.target.exe.release.1826300978;arm.toolchain.gcc.target.exe.release.1826300978.;arm.toolchain.gcc.c.compiler.1215115888;arm.toolchain.gcc.c.input.1103981118">
			<autodiscovery enabled="true" problemReportingEnabled="true" selectedProfileId=""/>
		</scannerConfigBuildInfo>
		<scannerConfigBuildInfo instanceId="arm.toolchain.gcc.target.exe.debug.1445351876;arm.toolchain.gcc.target.exe.debug.1445351876.;arm.toolchain.gcc.c.compiler.332907053;arm.toolchain.gcc.c.input.150061913">
			<autodiscovery enabled="true" problemReportingEnabled="true" selectedProfileId=""/>
		</scannerConfigBuildInfo>
	</storageModule>
	<storageModule moduleId="org.eclipse.cdt.internal.ui.text.commentOwnerProjectMappings"/>
</cproject>
